rpms/postgrey/devel .cvsignore, 1.5, 1.6 README-rpm, 1.1, 1.2 postgrey.init, 1.1, 1.2 postgrey.spec, 1.5, 1.6 sources, 1.5, 1.6

Matthias Saou thias at fedoraproject.org
Sun Apr 12 15:18:50 UTC 2009


Author: thias

Update of /cvs/extras/rpms/postgrey/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv13843

Modified Files:
	.cvsignore README-rpm postgrey.init postgrey.spec sources 
Log Message:
* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 1.32-1
- Update to 1.32.
- Update init script to the new style.
- Slightly update README-rpm instructions.



Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/postgrey/devel/.cvsignore,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- .cvsignore	22 May 2008 14:20:48 -0000	1.5
+++ .cvsignore	12 Apr 2009 15:18:17 -0000	1.6
@@ -1 +1 @@
-postgrey-1.31.tar.gz
+postgrey-1.32.tar.gz


Index: README-rpm
===================================================================
RCS file: /cvs/extras/rpms/postgrey/devel/README-rpm,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- README-rpm	12 Feb 2007 19:16:36 -0000	1.1
+++ README-rpm	12 Apr 2009 15:18:17 -0000	1.2
@@ -1,4 +1,4 @@
-Edit your configuration files:
+To make use of postgrey, edit your configuration files:
 
 /etc/postfix/main.cf:
 
@@ -10,10 +10,12 @@
 
 /etc/sysconfig/postgrey:
 
-  OPTIONS="--inet=127.0.0.1:10023"
+  options="--inet=127.0.0.1:10023"
 
 /etc/postfix/main.cf:
 
   smtpd_recipient_restrictions = ...
     check_policy_service inet:127.0.0.1:10023, ...
 
+And don't forget to activate the service on startup!
+


Index: postgrey.init
===================================================================
RCS file: /cvs/extras/rpms/postgrey/devel/postgrey.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- postgrey.init	12 Feb 2007 19:16:36 -0000	1.1
+++ postgrey.init	12 Apr 2009 15:18:17 -0000	1.2
@@ -1,48 +1,56 @@
 #!/bin/sh
 #
-# chkconfig: - 79 31
-# description: Postfix Greylisting Policy Server
-#
-# processname: postgrey
+# postgrey     Postfix Greylisting Policy Server
 #
+# chkconfig:   - 79 31
+# description: Postfix Greylisting Policy Server
+
+### BEGIN INIT INFO
+# Provides: postgrey
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Should-Start: 
+# Should-Stop: 
+# Default-Start: 
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: Postfix Greylisting Policy Server
+# Description:       Postgrey is a Postfix policy server implementing
+#                    greylisting. When a request for delivery of a mail is
+#                    received by Postfix via SMTP, the triplet CLIENT_IP /
+#                    SENDER / RECIPIENT is built.  If it is the first time
+#                    that this triplet is seen, or if the triplet was first
+#                    seen less than 5 minutes, then the mail gets rejected
+#                    with a temporary error.
+### END INIT INFO
 
 # Source function library.
 . /etc/rc.d/init.d/functions
 
-# Source networking configuration.
-. /etc/sysconfig/network
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
+exec="/usr/sbin/postgrey"
+prog="postgrey"
+options="--unix=/var/spool/postfix/postgrey/socket"
 
-prog=postgrey
-postgrey=/usr/sbin/$prog
-DBPATH=/var/spool/postfix/postgrey
-SOCKET=$DBPATH/socket
-OPTIONS="--unix=$SOCKET"
-
-# Source an auxiliary options file if we have one, and pick up OPTIONS,
-if [ -r /etc/sysconfig/$prog ]; then
-    . /etc/sysconfig/$prog
-fi
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
 
-[ -x $postgrey -a -d $DBPATH ] || exit 0
-
-RETVAL=0
+lockfile=/var/lock/subsys/$prog
 
 start() {
+    [ -x $exec ] || exit 5
     echo -n $"Starting $prog: "
-    daemon $postgrey -d $OPTIONS
-    RETVAL=$?
+    daemon $exec -d $options
+    retval=$?
     echo
-    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
 }
+
 stop() {
     echo -n $"Stopping $prog: "
-    killproc $postgrey
-    RETVAL=$?
+    killproc $prog
+    retval=$?
     echo
-    [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
 }
 
 restart() {
@@ -52,34 +60,54 @@
 
 reload() {
     echo -n $"Reloading $prog: "
-    killproc $postgrey -HUP
-    RETVAL=$?
+    killproc $prog -HUP
+    retval=$?
     echo
+    return $retval
+}
+
+force_reload() {
+    restart
 }
- 
-# See how we were called.
+
+rh_status() {
+    status $prog
+}
+
+rh_status_q() {
+    rh_status &>/dev/null
+}
+
+
 case "$1" in
     start)
-        start
-    ;;
+        rh_status_q && exit 0
+        $1
+        ;;
     stop)
-        stop
-    ;;
+        rh_status_q || exit 0
+        $1
+        ;;
     restart)
-        restart
-    ;;
+        $1
+        ;;
     reload)
-        reload
-    ;;
-    condrestart)
-        [ -f /var/lock/subsys/$prog ] && restart
-    ;;
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
     status)
-        status $postgrey
-    ;;
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
     *)
-        echo $"Usage: $0 {start|stop|restart|condrestart|reload|status}"
-        exit 1
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
 esac
+exit $?
 
-exit $RETVAL


Index: postgrey.spec
===================================================================
RCS file: /cvs/extras/rpms/postgrey/devel/postgrey.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- postgrey.spec	27 Feb 2009 01:55:48 -0000	1.5
+++ postgrey.spec	12 Apr 2009 15:18:17 -0000	1.6
@@ -2,8 +2,8 @@
 
 Summary: Postfix Greylisting Policy Server
 Name: postgrey
-Version: 1.31
-Release: 2%{?dist}
+Version: 1.32
+Release: 1%{?dist}
 # File headers only state "GNU GPL", but the LICENSE sections state v2 and "any
 # later version"
 License: GPLv2+
@@ -112,7 +112,12 @@
 
 
 %changelog
-* Thu Feb 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.31-2
+* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 1.32-1
+- Update to 1.32.
+- Update init script to the new style.
+- Slightly update README-rpm instructions.
+
+* Thu Feb 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org>
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
 * Thu May 22 2008 Matthias Saou <http://freshrpms.net/> 1.31-1


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/postgrey/devel/sources,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- sources	22 May 2008 14:20:48 -0000	1.5
+++ sources	12 Apr 2009 15:18:17 -0000	1.6
@@ -1 +1 @@
-b7a8a6fc9f1ad802c5a516a3be34bb29  postgrey-1.31.tar.gz
+524a4e165bf997996f3bccade394712f  postgrey-1.32.tar.gz




More information about the fedora-extras-commits mailing list